Floatbg is a little X-application that slowly modifies the color of
the root-window. You won't be able to see the color change, but after a
quarter of an hour, you'll notice that it did change, however. 

The program does have a minimal processor time consumption, as it sleeps
most of the time and its computations are not complicated.
After having run for more than two hours, `ps ux' on my sparc reported the
following:
USER       PID %CPU %MEM   SZ  RSS TT STAT START  TIME COMMAND
rekers     849  0.0  0.7   52   80 p3 S    12:14   0:00 floatbg

Floatbg doesn't use any window, button or menu, and it can only be stopped
by killing it. This is a feature I don't like too much, but making a realy
nice user interface is just too much for such a little joke...

Floatbg starts with a random color and changes it deterministicly by moving
through a hsv-model of colors.
In the hsv-model, colors are described by three parameters:
h = hue stands for the tint of a color
	(0 degrees is red, 60 = yellow, 120 = green, 180 = aquamarine, etc)
s = saturations stands for the brightness of the color
	(0 = white, 1 = bright)
v = value stands for the intensity of the color
	(0 = black, 1 = normal)

Every 10 seconds the hue is increased by 1 degree and the saturation is 
changed by a sinus over the hue. The value remains fixed.
The default values are chosen such that all pastel tints are visited,
but these can of course be customized:
usage: floatbg [options]
  where options are:
  -display <display>   or   -d <display>
  -help
  -value <float>   (default 0.87)
  -satmid <float>  (default 0.375)
  -satvar <float>  (default 0.125)
  -fase <float>    (default 0.25)
  value, (satmid-satvar) and (satmid+satvar) must be between 0 and 1

Floatbg is free and yours!
I would like to hear about changes people made on it.

Amsterdam, September 18, 1989.
					Jan Rekers (email: rekers@cwi.nl)

